# Define the kmod package name here.
%define kmod_name r8192ce

# If kversion isn't defined on the rpmbuild line, define it here.
%{!?kversion: %define kversion 2.6.32-573.el6.%{_target_cpu}}

Name:    %{kmod_name}-kmod
Version: 0006.0321.2011
Release: 2%{?dist}
Group:   System Environment/Kernel
License: GPLv2
Summary: %{kmod_name} kernel module(s)
URL:     http://www.realtek.com.tw/

BuildRequires: redhat-rpm-config
BuildRoot:     %{_tmppath}/%{name}-%{version}-%{release}-build-%(%{__id_u} -n)
ExclusiveArch: i686 x86_64

# Sources.
Source0:  rtl8192ce_linux_2.6.%{version}.tar.gz
Source5:  GPL-v2.0.txt
Source10: kmodtool-%{kmod_name}-el6.sh

# Magic hidden here.
%{expand:%(sh %{SOURCE10} rpmtemplate %{kmod_name} %{kversion} "")}

# Disable the building of the debug package(s).
%define debug_package %{nil}

%description
This package provides the kernel module(s) for Realtek RTL819x WiFi cards.
It is built to depend upon the specific ABI provided by a range of releases
of the same variant of the Linux kernel and not on any one specific build.

%prep
%setup -q -n rtl8192ce_linux_2.6.%{version}
%{__cp} -a %{SOURCE5} .
echo "override %{kmod_name}_pci * weak-updates/%{kmod_name}" > kmod-%{kmod_name}.conf

%build
%{__make} KSRC=/usr/src/kernels/%{kversion}

%install
%{__install} -d %{buildroot}/lib/modules/%{kversion}${kvariant}/extra/%{kmod_name}/
%{__install} HAL/rtl8192/r8192ce_pci.ko %{buildroot}/lib/modules/%{kversion}${kvariant}/extra/%{kmod_name}/
%{__install} -d %{buildroot}/lib/firmware/RTL8192CE/
%{__install} firmware/RTL8192CE/* %{buildroot}/lib/firmware/RTL8192CE/
%{__install} -d %{buildroot}%{_sysconfdir}/depmod.d/
%{__install} kmod-%{kmod_name}.conf %{buildroot}%{_sysconfdir}/depmod.d/
%{__install} -d %{buildroot}%{_defaultdocdir}/kmod-%{kmod_name}-%{version}/
%{__install} GPL-v2.0.txt %{buildroot}%{_defaultdocdir}/kmod-%{kmod_name}-%{version}/
%{__install} readme.txt %{buildroot}%{_defaultdocdir}/kmod-%{kmod_name}-%{version}/
%{__install} release_note %{buildroot}%{_defaultdocdir}/kmod-%{kmod_name}-%{version}/
%{__install} runwpa %{buildroot}%{_defaultdocdir}/kmod-%{kmod_name}-%{version}/
%{__install} wpa1.conf %{buildroot}%{_defaultdocdir}/kmod-%{kmod_name}-%{version}/
%{__install} firmware/RTL8192CE/Realtek-Firmware-License.txt %{buildroot}%{_defaultdocdir}/kmod-%{kmod_name}-%{version}/
%{__install} realtek/RadioPower.sh %{buildroot}%{_defaultdocdir}/kmod-%{kmod_name}-%{version}/
%{__install} realtek/wireless-rtl-ac-dc-power.sh %{buildroot}%{_defaultdocdir}/kmod-%{kmod_name}-%{version}/
%{__install} rtllib/license %{buildroot}%{_defaultdocdir}/kmod-%{kmod_name}-%{version}/
# Set the module(s) to be executable, so that they will be stripped when packaged.
find %{buildroot} -type f -name \*.ko -exec %{__chmod} a+x \{\} \;
# Remove the unrequired files.
%{__rm} -f %{buildroot}/lib/modules/%{kversion}/modules.*

%clean
%{__rm} -rf %{buildroot}

%changelog
* Tue Aug 18 2015 Alan Bartlett <ajb@elrepo.org> - 0006.0321.2011-2
- Rebuilt against the 2.6.32-573.el6 kernel.

* Thu Jun 30 2011 Alan Bartlett <ajb@elrepo.org> - 0006.0321.2011-1
- Updated to version 0006.0321.2011

* Thu Apr 07 2011 Alan Bartlett <ajb@elrepo.org> - 0005.1116.2010-2
- Corrected the override line.

* Wed Apr 06 2011 Fabian Arrotin <fabian.arrotin@arrfab.net> - 0005.1116.2010-1
- Initial el6 build kmod package
